Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface WebDeploymentMBean

All Known Subinterfaces:
  WebAppComponentMBean, WebServiceComponentMBean

public interface WebDeploymentMBean
extends DeploymentMBean

A Web Deployment is any MBean that may be deployed on one or more target or WebServers. Deployments of this type get deployed on web servers. Any target specified through the "Targets" attribute of the deployment are deployed on the default web server of that deployment. Targets specified through the "WebServers" attribute of the deployment are specified in the specified Web Server.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `addVirtualHost(VirtualHostMBean target)` Add a virtual host
`boolean` | `addWebServer(WebServerMBean target)` Deprecated. in 7.0.0.0. This attribute is being replaced by VirtualHosts attribute
`VirtualHostMBean[]` | `getVirtualHosts()` Returns virtual hosts on which this deployment is targeted.
`WebServerMBean[]` | `getWebServers()` Deprecated. in 7.0.0.0. This attribute is being replaced by VirtualHosts attribute. To target an actual web server, the ComponentMBean.Targets attribute should be used.
`boolean` | `removeVirtualHost(VirtualHostMBean target)` Remove a virtual host
`boolean` | `removeWebServer(WebServerMBean target)` Deprecated. in 7.0.0.0. This attribute is being replaced by VirtualHosts attribute
`void` | `setVirtualHosts(VirtualHostMBean[] WebServers)` Establish list of virtual hosts for this deployment
`void` | `setWebServers(WebServerMBean[] WebServers)` Deprecated. in 7.0.0.0. This attribute is being replaced by VirtualHosts attribute

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getWebServers

    public WebServerMBean[] getWebServers()

  Deprecated. in 7.0.0.0. This attribute is being replaced by VirtualHosts attribute. To target an actual web server, the ComponentMBean.Targets attribute should be used.
  Returns targets on which this deployment is deployed.

  A non-configurable MBean attribute.

### setWebServers

    public void setWebServers(WebServerMBean[] WebServers)
                       throws javax.management.InvalidAttributeValueException,
                              DistributedManagementException

  Deprecated. in 7.0.0.0. This attribute is being replaced by VirtualHosts attribute
  Set the targets for this deployment

  A dynamic MBean attribute

### addWebServer

    public boolean addWebServer(WebServerMBean target)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Deprecated. in 7.0.0.0. This attribute is being replaced by VirtualHosts attribute
  Add a target

  A dynamic MBean attribute

### removeWebServer

    public boolean removeWebServer(WebServerMBean target)
                            throws DistributedManagementException

  Deprecated. in 7.0.0.0. This attribute is being replaced by VirtualHosts attribute
  Remove a target.

  A dynamic MBean attribute

### getVirtualHosts

    public VirtualHostMBean[] getVirtualHosts()

  Returns virtual hosts on which this deployment is targeted.

### setVirtualHosts

    public void setVirtualHosts(VirtualHostMBean[] WebServers)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Establish list of virtual hosts for this deployment

  A dynamic MBean attribute

### addVirtualHost

    public boolean addVirtualHost(VirtualHostMBean target)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Add a virtual host

  A dynamic MBean attribute

### removeVirtualHost

    public boolean removeVirtualHost(VirtualHostMBean target)
                              throws DistributedManagementException

  Remove a virtual host

  A dynamic MBean attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference